Bug 21640 - don't use mogrify instead of jpegtran
: don't use mogrify instead of jpegtran
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/gqview)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2009-09-20 22:06 by
Modified: 2010-06-02 00:00 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-09-20 22:06:12
Патч gqview-2.1.5-editors.patch плох в нижней своей части. Не стоит менять
jpegtran на mogrify для поворота изображений. Первый работает только с jpeg, но
зато поворачивает их без потерь. Второй работает с любыми форматами, но именно
jpeg пересохраняет с потерями.

Чтобы в этом убедиться, достаточно 4 раза повернуть изображение CW и сравнить
результат с оригиналом, например в gimp'e. При использовании mogrify разница
есть. При использовании jpegtran даже gimp запускать не надо, достаточно cmp --
результат соответствует оригиналу побайтово.

Уверен, что необходимо вернуть на место поворот без потерь при помощи jpegtran.
Если есть необходимость обеспечить поворот изображений в других форматах, то
можно добавить вызов mogrify в других строчках. Но jpegtran выкидывать не надо.

А лучше даже написать однострочный скрипт для поворота jpeg'ов jpegtran'ом, а
всего остального -- при помощи mogrify.
------- Comment #1 From 2010-06-01 23:37:21 -------
gqview-2.1.5-alt4 -> sisyphus:

* Tue Jun 01 2010 Sergey Kurakin <kurakin@altlinux> 2.1.5-alt4
- corrected default external editors entries to prefer lossless
  JPEG transformation (closes #21640)
- added default external command: Exif auto-transform
- fixed repocop issue: desktop-file-validate